%define upstream_name ETM

Name:           etm
Version:        2.3.1
Release:        1%{?dist}
Summary:        Editable Terrain Manager for Ogre 3D

Group:          System Environment/Libraries
License:        GPLv2 with exceptions
URL:            http://www.oddbeat.de/wiki/etm
Source0:        http://downloads.oddbeat.de/%{upstream_name}v%{version}_source.zip
Patch0:         etm-autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ogre-devel libtool

%description
Editable Terrain Manager for Ogre 3D

%package devel
Summary:        Development files for Editable Terrain Manager for Ogre 3D
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ogre-devel

%description devel
Development files for Editable Terrain Manager for Ogre 3D


%prep
%setup -q
%patch0 -p1

sh ./autogen.sh

rm -f doc/html/WS_FTP.LOG

# fix EOL + preserve timestamps
for f in license.txt
do
    sed -i.orig 's/\r//g' $f
    touch -r $f.orig $f
done


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt readme.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/etm
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Sep  2 2008 Dan Horak <dan at danny.cz> 2.3.1-1
- first version
